using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace ThickTcpUiInWindow.UIModule
{
    /// <summary>
    /// Window_graphscan.xaml 的交互逻辑
    /// </summary>
    public partial class ScanGraphConfig : FLY.ControlLibrary.WindowBigClose    
    {
        ScanGraphItemParam graphparam_scan;
        public ScanGraphConfig()
        {
            InitializeComponent();
        }
        public void Init(ScanGraphItemParam graphparam_scan) 
        {
            this.graphparam_scan = graphparam_scan;
            this.DataContext = graphparam_scan;
            this.stackpanel_params.DataContext = ScanGraphParams.Current;
        }

        private void button_save_Click(object sender, RoutedEventArgs e)
        {
            ScanGraphParams.Current.Save();
        }

        private void button1_Click(object sender, RoutedEventArgs e)
        {

            graphparam_scan.BM--;
        }

        private void button2_Click(object sender, RoutedEventArgs e)
        {
            graphparam_scan.BM++;
        }
    }
}
